> For the complete documentation index, see [llms.txt](https://docs.boldminded.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.boldminded.com/reel/docs/settings.md).

# Settings

By default Reel stores it's settings in ExpressionEngine's database, and it is managed via its module settings page. You can also manage it's settings by adding a new array to your site's `config.php` file. You can add as many or as few of the following array keys as you like to the `config.php` file. For example, if you are not using Vimeo, you do not need to add the `settings_vimeo` key and value to the array.

You can't manage some settings in the database, and some settings in the `config.php` file. Either all settings are managed in the `config.php` file, or all settings are managed in the database.

```
$config['reel'] = [
    'settings_global' => [
        'global_width' => '360',
        'global_height' => '240',
    ],
    'settings_youtube' => [
        'user' => '',
        'api_key' => '',
        'show_on_load' => 'n', // 'y' or 'n'
    ],
    'settings_vimeo' => [
        'user' => '',
        'show_on_load' => 'n', // 'y' or 'n'
        'client_id' => '',
        'client_secret' => '',
        'client_token' => '',
    ],
];
```

### Debugging

If you add `&reel_debug=1` to your ExpressionEngine control panel page when editing an entry that contains a Reel field, the Reel modal window will display some extra information about the requests it makes to the YouTube and Vimeo API, the operating state of the Reel field instance, and all the  information from a selected video that willl be saved to the ExpressionEngine database.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.boldminded.com/reel/docs/settings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
